/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 批量设置客户服务人员 POST /api/Customer/BatchSetUserServiceStaff */
export async function batchSetUserServiceStaff(
  body: API.BatchSetUserServiceStaffInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Customer/BatchSetUserServiceStaff', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 客户管理分页列表 POST /api/Customer/GetCustomerManagePage */
export async function getCustomerManagePage(
  body: API.QueryCustomerManageInput,
  options?: API.RequestConfig
) {
  return request<API.CustomerManageListOutputPageOutput>('/api/Customer/GetCustomerManagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 我的客户管理分页列表 POST /api/Customer/GetMyCustomerManagePage */
export async function getMyCustomerManagePage(
  body: API.QueryCustomerManageInput,
  options?: API.RequestConfig
) {
  return request<API.CustomerManageListOutputPageOutput>('/api/Customer/GetMyCustomerManagePage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 运营端-政务端一园区客户管理企业基本信息 GET /api/Customer/GetParkCustomerManageBaseDetail */
export async function getParkCustomerManageBaseDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetParkCustomerManageBaseDetailParams,
  options?: API.RequestConfig
) {
  return request<API.GetParkCustomerManageDetailOutput>(
    '/api/Customer/GetParkCustomerManageBaseDetail',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取服务人员分页列表 POST /api/Customer/GetServiceStaffPage */
export async function getServiceStaffPage(
  body: API.QueryServiceStaffListInput,
  options?: API.RequestConfig
) {
  return request<API.ServiceStaffListOutputPageOutput>('/api/Customer/GetServiceStaffPage', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置用户所属产业园区 POST /api/Customer/SetUserIndustrialPark */
export async function setUserIndustrialPark(
  body: API.SetUserIndustrialParkInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Customer/SetUserIndustrialPark', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置客户服务人员 POST /api/Customer/SetUserServiceStaff */
export async function setUserServiceStaff(
  body: API.SetUserServiceStaffInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Customer/SetUserServiceStaff', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
